package de.ronnyfriedland

import de.ronnyfriedland.scheduler.enums.EntryState;

class Entry extends BaseEntry {
	
	static hasMany = [plannedEntries:PlannedEntry]
	                    
	String title
	String description
	EntryState state
	String time
	
    static constraints = {
		title(nullable:false,blank:false)
		description(nullable:false,blank:false)
		state(nullable:false)
		time(nullable:true,blank:true)
    }
}
